Request for an updated Java Args guide.

Doc requests, organization, and submissions

Moderators: Azhrei, dorpond, trevor

Post Reply
Squiggraken
Kobold
Posts: 1
Joined: Thu Apr 11, 2019 1:41 am

Request for an updated Java Args guide.

Post by Squiggraken »

Following various forum threads and the following guides* have net no positive result in restoring function to MapTool 1.5.1. I uninstalled the program multiple times in an attempt to "reset" it to no avail. Uninstalling then reinstalling the latest 64bit version of Java (1.8.0_211) did nothing. Use of a batch file and even the command shell fell flat.

I am having a bad time with this and could use some assistance. In the most simplest of terms, how can I get the "Launcher" to appear to adjust the Java memory allowances, if not as well as have "MapTool.cfg" reflect such changes and then function?

Maptool 1.4.1.8 works just fine. The .exe and the .jar for it run like a dream. My wish is to learn in a basic and direct way to repair the mistake, without the need to rip out what remains of my hair. For assistance on this matter, I thank you in advance.
MapTool 1.5.1 Java.png
MapTool 1.5.1 Java.png (8.79 KiB) Viewed 2464 times
*:
"http://lmwcs.com/rptools/wiki/Network_C ... _Solutions"
"http://lmwcs.com/rptools/wiki/Command_Line_Options"
"http://lmwcs.com/rptools/wiki/Java_64_f ... g_Launcher"

User avatar
aliasmask
Deity
Posts: 8580
Joined: Tue Nov 10, 2009 6:11 pm
Location: Bay Area

Re: Request for an updated Java Args guide.

Post by aliasmask »

Does the program still open. If so, then go to Edit | Preferences | Start Up menu.

I recommend setting the max mem to 2048M or 4096M if you have over 8GB of memory.

Sounds like you have it set to 8M which is too low.

Phergus
Deity
Posts: 7112
Joined: Fri May 12, 2006 8:56 pm
Location: Middle of Nowhere, NM
Contact:

Re: Request for an updated Java Args guide.

Post by Phergus »

Note that if you are using the Jar file downloads of MT 1.5+, they require Java 10.

The installer downloads include the Java JVM internally and don't need a separate installed JRE.

https://www.rptools.net/2019/03/maptool ... with-java/
https://www.rptools.net/2019/03/maptool ... -download/

If you need to reset the JVM settings:

https://www.rptools.net/2019/04/resetting-maptool/

User avatar
Full Bleed
Demigod
Posts: 4446
Joined: Sun Feb 25, 2007 11:53 am
Location: MD
Contact:

Re: Request for an updated Java Args guide.

Post by Full Bleed »

Lessons to be learned from this...

1) It would probably be nice if MT warned at the point of entry to not set memory that low to begin with (i.e. it should have a minimum that will at least allow the user to load the program.)

2) It would, likewise, be nice if it warned if someone tried to set the stack too high. People with 10M+ stacks often end up with problems... nevermind what would happen if they accidentally put a G instead of an M.

3) And while they're at it, if the current recommendation is to set Max and Min to the same, why not put in a check-box option to help make it happen:
Sync Min/Max memory configuration (recommended)?
Maptool is the Millennium Falcon of VTT's -- "She may not look like much, but she's got it where it counts."

User avatar
Clyde
Cave Troll
Posts: 40
Joined: Sun Jan 05, 2014 9:28 am

Re: Request for an updated Java Args guide.

Post by Clyde »

Try this Launch File:
http://forums.rptools.net/viewtopic.php?f=10&t=24711

Also,
ATM I am not sure if MT 1.5.2 runs at all.

They say you HAVE to use Java 9 or 10, but Java 10 is not supported by Oracle any more.
The current builds are still the 8.211 build for stability, and the development branch of JRE 12.
So MT 1.5.2 does not run at all, if you want to use a current Java.
And since you are connected to the internet, with the Java version you use for MT, I STRONGLY recommend using a current one.

So, I suggest using MT 1.4.1.8 ...
but if you use Java 8.211, you will have a problem with Map Tables not being accessible.
But you probably won'T notice that missing, except for the most advanced of maps.
Last edited by Clyde on Sun Jul 07, 2019 9:38 am, edited 1 time in total.

Phergus
Deity
Posts: 7112
Joined: Fri May 12, 2006 8:56 pm
Location: Middle of Nowhere, NM
Contact:

Re: Request for an updated Java Args guide.

Post by Phergus »

MT 1.5.2 runs fine. Check the Connect to Server server list and you'll see a number of folks using it pretty much any time of day or night.

You don't need to install Java to use MT 1.5. The installer includes the Java VM which is only used by MapTool.

Post Reply

Return to “Documentation Requests/Discussion”